import { Observable } from 'rxjs';
import { ServiceDeps } from '../types';
import ParticlesResolverQueue from '../ParticlesResolverQueue/ParticlesResolverQueue';
declare class SyncIpfsLoop {
    private isInitialized$;
    private db;
    private ipfsNode;
    private particlesResolver;
    private statusApi;
    private _loop$;
    get loop$(): Observable<any> | undefined;
    constructor(deps: ServiceDeps, particlesResolver: ParticlesResolverQueue);
    start(): this;
    private syncPins;
}
export default SyncIpfsLoop;
